PETSc version 3.15.5
Fix/Edit manual page

# MatOrderingRegisterAll

Registers all of the matrix reordering routines in PETSc.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatOrderingRegisterAll(void)

Not Collective

### Adding new methods

To add a new method to the registry. Copy this routine and modify it to incorporate a call to MatReorderRegister() for the new method, after the current list.

Restricting the choices: To prevent all of the methods from being registered and thus save memory, copy this routine and comment out those orderigs you do not wish to include. Make sure that the replacement routine is linked before libpetscmat.a.

### See Also

MatOrderingRegister()

### Level

developer

### Location

src/mat/order/sregis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages